usb_s Struct Reference
Public interface » ID macros » Hardware information

raw USB data More...

`#include <hd.h>`

## Data Fields

struct usb_s * | next
unsigned | hd_idx
unsigned | hd_base_idx
str_list_t * | c
str_list_t * | d
str_list_t * | e
str_list_t * | i
str_list_t * | p
str_list_t * | s
str_list_t * | t
struct usb_s * | cloned
int | bus
int | dev_nr
int | lev
int | parent
int | port
int | count
int | conns
int | used_conns
int | ifdescr
unsigned | speed
unsigned | vendor
unsigned | device
unsigned | rev
char * | manufact
char * | product
char * | serial
char * | driver
memory_range_t | raw_descr
int | d_cls
int | d_sub
int | d_prot
int | i_alt
int | i_cls
int | i_sub
int | i_prot
unsigned | country

## Detailed Description

raw USB data

See also
  Linux USB docs

The documentation for this struct was generated from the following file:

- hd.h